> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/logging_pipeline.md).

# ionoscloud\_logging\_pipeline

Get information on a Logging pipeline.

The **Logging pipeline** datasource can be used to search for and return an existing Logging pipeline. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned.

> ⚠️ Only tokens are accepted for authorization in the **logging\_pipeline** data source. Please ensure you are using tokens as other methods will not be valid.

## Example Usage

### By ID

```hcl
data "ionoscloud_logging_pipeline" "example" {
  location = "de/txl"
  id = "pipeline_id"
}
```

### By name

```hcl
data "ionoscloud_logging_pipeline" "example" {
  location = "de/txl"
  name = "pipeline_name"
}
```

## Argument reference

* `location` - (Optional)\[string] The location of the Logging pipeline. Default: `de/txl`, other available locations: `de/fra`, `de/fra/1`, `de/fra/2`, `de/txl`, `es/vit`, `gb/lhr`, `fr/par`.
* `id` - (Optional)\[string] The ID of the Logging pipeline you want to search for.
* `name` - (Optional)\[string] The name of the Logging pipeline you want to search for.

Either `id` or `name` must be provided. If none, or both are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The UUID of the Logging pipeline.
* `name` - The name of the Logging pipeline.
* `grafana_address` - The Grafana address is where user can access their logs, create dashboards, and set up alerts.
* `tcp_address` - The TCP address of the pipeline. This is the address to which logs are sent using the TCP protocol.
* `http_address` - The HTTP address of the pipeline. This is the address to which logs are sent using the HTTP protocol.
* `log` - \[list] Pipeline logs, a list that contains elements with the following structure:
  * `source` - \[string] The source parser to be used.
  * `tag` - \[string] The tag is used to distinguish different pipelines. Must be unique amongst the pipeline's array items.
  * `protocol` - \[string] "Protocol to use as intake. Possible values are: http, tcp."
  * `public` - \[bool]
  * `destinations` - \[list] The configuration of the logs datastore, a list that contains elements with the following structure:
    * `type` - \[string] The internal output stream to send logs to.
    * `retention_in_days` - \[int] Defines the number of days a log record should be kept in loki. Works with loki destination type only.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/tools-terraform/docs/data-sources/logging_pipeline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
